<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author  		pedro.garcia
@description  	Pantalla en la que se definen las áreas inicialies (grandes) sobre las que se van
                a trabajar las ofertas inmobiliarias
@cu  			CU-TV-0F-001
@version  		2.0

-->


<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="../../../templates/generalCU.xhtml">


    <ui:define name="title">.::Sistema Nacional Catastral::. .::Establecimiento áreas para ofertas::.</ui:define>
    <ui:define name="content">
        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />

        <p:ajaxStatus onstart="statusDialog2.show();"
                      onsuccess="statusDialog2.hide();" onerror="statusDialog2.hide();" />

        <p:focus />
        <p:messages id="msgsEAO" showDetail="false" globalOnly="false" />

        <h:form id="establecerAreasOfertasForm">

            <p:fieldset>
                <legend>
                    <h:outputText styleClass="legendTitle"
                                  value="Establecer áreas para ofertas" />
                </legend>

                <p:spacer height="20" width="0" />

                <p:dataTable id="areasOfertasDT" widgetVar="areasOfertasDTWV"
                             value="#{establecimientoAreasOfertas.areasOfertas}"
                             var="areaOferta" paginator="true" rows="10"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                             {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             selection="#{establecimientoAreasOfertas.areasOfertasSeleccionadas}"
                             selectionMode="multiple" rowKey="#{areaOferta.id}"
                             rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                             emptyMessage="No hay áreas establecidas para ofertas">

                    <f:facet name="header">
                        <h:outputText value="Áreas establecidas para ofertas" />
                    </f:facet>

                    <p:column headerText="Opciones"
                              rendered="#{!establecimientoAreasOfertas.banderaEsCoordinador}">
                        <p:commandButton title="Zoom a la región"
                                         icon="ui-icon ui-icon-zoomin"
                                         oncomplete="cargarMapaZoomToFeature('#{establecimientoAreasOfertas.applicationClientName}',
                                         '#{establecimientoAreasOfertas.tokenParam}',
                                         '#{establecimientoAreasOfertas.moduleLayer}',
                                         '#{establecimientoAreasOfertas.moduleTools}',
                                         '#{areaOferta.cadenaDeManzanasVeredas}');"
                                         disabled="#{empty areaOferta.cadenaDeManzanasVeredas}" />
                    </p:column>

                    <p:column headerText="Id" sortBy="#{areaOferta.id}">
                        <h:outputText id="areaOfertaId" value="#{areaOferta.id}"
                                      styleClass="outputTextStyle" />
                    </p:column>

                    <p:column headerText="Departamento"
                              sortBy="#{areaOferta.departamento.nombre}">
                        <h:outputText id="areaOfertaDepartamento"
                                      value="#{areaOferta.departamento.nombre}"
                                      styleClass="outputTextStyle" />
                    </p:column>

                    <p:column headerText="Municipio"
                              sortBy="#{areaOferta.municipio.nombre}">
                        <h:outputText id="areaOfertaMunicipio"
                                      value="#{areaOferta.municipio.nombre}"
                                      styleClass="outputTextStyle" />
                    </p:column>

                    <p:column headerText="Zona">
                        <h:outputText id="areaOfertaZona"
                                      value="#{areaOferta.zona.nombre}" styleClass="outputTextStyle" />
                    </p:column>

                    <p:column headerText="Fecha">
                        <h:outputText id="areaOfertaFecha" value="#{areaOferta.fecha}"
                                      styleClass="outputTextStyle">
                            <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                               timeZone="GMT-5" />
                        </h:outputText>
                    </p:column>

                </p:dataTable>

                <p:spacer height="10" width="0" />

                <h:panelGrid columns="3" cellspacing="7">

                    <p:commandButton value="Establecer área con visor SIG"
                                     action="#{establecimientoAreasOfertas.cargarVentanaCreacionAreaSIG}"
                                     oncomplete="adicionAreaOfertaConSIGWV.show();"
                                     update=":establecerAreasOfertasConVisorForm:msgsAOV, 
                                     :establecerAreasOfertasConVisorForm:establecerAreasOfertasConVisorFS"
                                     icon="ui-icon-image"
                                     rendered="#{!establecimientoAreasOfertas.banderaEsCoordinador}" />
                    <p:commandButton value="Recargar áreas"
                                     action="#{establecimientoAreasOfertas.recargarAreas}"
                                     update=":establecerAreasOfertasForm" icon="ui-icon-refresh"
                                     rendered="#{!establecimientoAreasOfertas.banderaEsCoordinador}" />
                    <p:commandButton value="Nueva"
                                     oncomplete="adicionAreaOfertaNoSIGWV.show();"
                                     icon="ui-icon-circle-plus"
                                     rendered="#{establecimientoAreasOfertas.banderaEsCoordinador}" />
                    <p:commandButton value="Eliminar"
                                     onclick="if (areasOfertasDTWV.selection.length == 0) {
                                                 alert('Debe seleccionar al menos un área');
                                                 return false;
                                             } else {
                                                 confirmationWV.show();
                                             }"
                                     icon="ui-icon-circle-minus" update=":msgsEAO" />

                </h:panelGrid>

            </p:fieldset>

            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{establecimientoAreasOfertas.cerrarVentanaCU}"
                                 icon="ui-icon-circle-close" immediate="true" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />

        </h:form>


        <p:dialog widgetVar="adicionAreaOfertaNoSIGWV"
                  header="Adicionar área para oferta" appendToBody="true" modal="true"
                  closable="true" dynamic="true" resizable="false" minimizable="false"
                  width="500" position="0, 0">
            <ui:include src="establecerAreaOfertaManual.xhtml">
                <ui:param name="componentsToUpdateParam"
                          value=":establecerAreasOfertasForm" />
            </ui:include>
        </p:dialog>

        <p:dialog widgetVar="adicionAreaOfertaConSIGWV"
                  header="Adicionar área para oferta con visor" appendToBody="true"
                  closable="true" dynamic="false" resizable="false" minimizable="false"
                  modal="true" width="500" position="0, 0">
            <ui:include src="establecerAreaOfertaVisor.xhtml" />
            <p:ajax event="close"
                    update=":establecerAreasOfertasForm:areasOfertasDT" />
        </p:dialog>


        <misc:ultimateConfirmDialogCC id="mensajeConfirmacion"
                                      confirmMessage="Está seguro de que desea eliminar el(las) área(s) de captura de ofertas"
                                      confirmUpdateOnYes=":establecerAreasOfertasForm:areasOfertasDT, :msgsEAO"
                                      confirmDialogWV="confirmationWV"
                                      voidActionOnYes="#{establecimientoAreasOfertas.eliminarAreas}"
                                      width="330" />



    </ui:define>

</ui:composition>